package com.wd.workoffice.bean;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class UserMoneyBean {

        /**
         * createdBy : 111
         * createdByName : null
         * createdTime : 2019-11-29 10:38:32
         * updatedBy : 680
         * updatedByName : null
         * updatedTime : 2020-01-02 10:55:14
         * id : 8
         * ofSys : 1
         * name : 销售二公司
         * code : SALE_TWO
         * deptId : 122
         * balance : 9.99886856805E9
         * frozenAmount : 0.0
         * status : 1
         * version : 113
         * amount : null
         * action : 0
         * deptName : null
         * createdUser : null
         * remark : null
         * deptRulers : null
         * totalExpenditure : 2295999.16
         * totalIncome : 84121.0
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private int updatedBy;
        private Object updatedByName;
        private String updatedTime;
        private int id;
        private String ofSys;
        private String name;
        private String code;
        private int deptId;
        private double balance;
        private double frozenAmount;
        private String status;
        private int version;
        private Object amount;
        private int action;
        private Object deptName;
        private Object createdUser;
        private Object remark;
        private Object deptRulers;
        private double totalExpenditure;
        private double totalIncome;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public int getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(int updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public String getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(String updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getOfSys() {
            return ofSys;
        }

        public void setOfSys(String ofSys) {
            this.ofSys = ofSys;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getCode() {
            return code;
        }

        public void setCode(String code) {
            this.code = code;
        }

        public int getDeptId() {
            return deptId;
        }

        public void setDeptId(int deptId) {
            this.deptId = deptId;
        }

        public double getBalance() {
            return balance;
        }

        public void setBalance(double balance) {
            this.balance = balance;
        }

        public double getFrozenAmount() {
            return frozenAmount;
        }

        public void setFrozenAmount(double frozenAmount) {
            this.frozenAmount = frozenAmount;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public Object getAmount() {
            return amount;
        }

        public void setAmount(Object amount) {
            this.amount = amount;
        }

        public int getAction() {
            return action;
        }

        public void setAction(int action) {
            this.action = action;
        }

        public Object getDeptName() {
            return deptName;
        }

        public void setDeptName(Object deptName) {
            this.deptName = deptName;
        }

        public Object getCreatedUser() {
            return createdUser;
        }

        public void setCreatedUser(Object createdUser) {
            this.createdUser = createdUser;
        }

        public Object getRemark() {
            return remark;
        }

        public void setRemark(Object remark) {
            this.remark = remark;
        }

        public Object getDeptRulers() {
            return deptRulers;
        }

        public void setDeptRulers(Object deptRulers) {
            this.deptRulers = deptRulers;
        }

        public double getTotalExpenditure() {
            return totalExpenditure;
        }

        public void setTotalExpenditure(double totalExpenditure) {
            this.totalExpenditure = totalExpenditure;
        }

        public double getTotalIncome() {
            return totalIncome;
        }

        public void setTotalIncome(double totalIncome) {
            this.totalIncome = totalIncome;
        }
}
